Subject: Fwd: Re: Fwd: I-D Action: draft-secretaries-good-practices-03.txt

From: Spencer Dawkins <[email-masked]>
Date: Mon, 19 May 2014 16:57:16 -0500

"Reply to List" sent this to the IESG mailing list. Resending :-)

Spencer

-------- Original Message --------
Subject: 	Re: Fwd: I-D Action: draft-secretaries-good-practices-03.txt
Date: 	Mon, 19 May 2014 16:37:06 -0500
From: 	Spencer Dawkins <[email-masked]>
To: 	[email-masked]

On 05/19/2014 06:25 AM, Martin Vigoureux wrote:
> Hello WG Chairs,
>
> based on our experiences as WG Secretaries we have written a draft
> describing the role.
> After few revisions we believe is is now in shape to share it with you
> and get your opinion an inputs.
>
> So please, take a look at it and tell us what you think of it.

Hi, Martin,

Thank you and your co-authors and contributors for taking the time to
produce this helpful document.

I chaired several working groups that did NOT have working group
secretaries, and now that Martin and I have experience with a secretary
for TSVAREA, I really wonder what the heck I was thinking.

I did have a couple of comments (speaking as an individual).

    o  Securing Jabber relays and minute takers

    Supporting remote participation is very important. As such, the WG
    Secretary could ask for one specific volunteer: a Jabber scribe,
    responsible for acting as a gateway for remote participants, by way
    of relaying remote questions and annotating slide numbers. While the
    WG Secretary would typically act as the minute taker, he/her could
                                                          ^ "he/she"?
    also request a second volunteer tasked with taking notes during the
    WG session.

In addition to the nit - if the secretary has volunteered to serve
because he/she has a pure heart, that's awesome, but if the secretary
also participates in the technical work, having a second note-taker also
captures what the secretary misses while in the mike line. Perhaps it's
worth mentioning that additional justification for asking for a second
volunteer.

    o  Publishing the WG session minutes

    While it is highly recommended that the minutes of a WG session be
    published as quickly as possible, this might only be feasible after
    the end of the week of an IETF meeting. In any case, if the WG
    Secretary was the minute taker he/she could polish the notes taken
    (correcting typos, or even complementing missing parts with audio
    recordings) and send these to the Chairs for validation.

Different people do it differently, but you might also point out that
the secretary might quickly distribute draft minutes directly to the
working group and collect corrections from the working group (so people
might still remember what they meant to say), without waiting for
working group chairs to review the minutes. I've seen this model used,
in addition to the model you describe in the current revision.

    o  Monitoring compliance with IETF IPR rules
       ^
I wasn't entirely comfortable with "monitoring compliance" here (I would
be expecting my chairs to be "monitoring"). Is the secretary's role more
like "documenting compliance"?

    o  Attending WG Chairs' training

    Working Group Secretaries are invited to the IETF WG Chairs' lunch
    tutorial.

There are also relevant Sunday afternoon tutorials like
http://www.ietf.org/edu/process-oriented-tutorials.html#wgleadership,
which might be worth a mention - the Wednesday session was called
something like "continuing education" when I was on EDU, to draw that
distinction.

4. Conclusions and Perspectives

This section contains a couple of paragraphs about the relationship
between the secretary and chairs that are worthy of appearing early in
the document (I think I'm talking about what you'd call "perspectives" -
the conclusions are fine here).

>
> Martin, on behalf of the authors and contributors
>
>
> -------- Message original --------
> Sujet: I-D Action: draft-secretaries-good-practices-03.txt
> Date : Mon, 19 May 2014 03:33:40 -0700
> De : <[email-masked]>
> Répondre à : <[email-masked]>
> Pour : <[email-masked]>
>
>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>
>
>         Title           : Working Group Secretaries
>         Authors         : Martin Vigoureux
>                           Daniel King
>                           Carlos Pignataro
>     Filename        : draft-secretaries-good-practices-03.txt
>     Pages           : 13
>     Date            : 2014-05-19
>
> Abstract:
>    The Working Group Secretary's role was succinctly defined in RFC
>    2418. However, this role has greatly evolved and increased both in
>    value and scope since the writing of RFC 2418. This document updates
>    RFC 2418 by providing a new definition of the Working Group
>    Secretary's role. This document also provides a compilation of good
>    practices and some general guidelines regarding the fulfilment of the
>    role.
>
>    This document is intended for established Working Group Secretaries,
>    individuals desirous of taking up that role, or anyone else simply
>    interested in understanding better the Working Group Secretary's
>    role. This document may also be useful for Working Group Chairs to
>    better appreciate and help develop the value of Working Group
>    Secretaries.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-secretaries-good-practices/
>
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-secretaries-good-practices-03
>
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-secretaries-good-practices-03
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
>
>

---

From: Martin Vigoureux <[email-masked]>
Date: Tue, 20 May 2014 10:47:02 +0200

Hi Spencer,

thanks for your review and comments.
Please see in-line.

-m

> worth mentioning that additional justification for asking for a second

nice catch and good point. I'll add it.
> in addition to the model you describe in the current revision.

good point as well, I'll incorporate that.
> like "documenting compliance"?

It was said as "looking at the list for the responses to the IPR polls" 
which is in my view not so different than looking at the responses of a 
poll for adoption. But if "monitoring" is to be read as "controlling" 
then I tend to agree with you. On the other hand, I feel "documenting" 
is a bit weak. I'd prefer "Watching over ..." of something similar.

> something like "continuing education" when I was on EDU, to draw that

will add that too
> the conclusions are fine here).

I think there is no clear cut on that matter.
The 1st paragraph is sort of a generic two-sentence conclusion.
The 3rd gives a perspective beyond the definition of the role, i.e., the 
preparation to become a WG Chair, so chronologically speaking I feel it 
fits nicely at the end of the document.
Concerning the 4th, we thought of having a dedicated section on the 
selection of Secretaries, but had not enough content for that. It could 
be at the beginning of the document but again one can read it as "oh, 
that was interesting, I want to become a secretary". In that sense it 
fits better at the end than at the beginning.
Concerning the 2nd paragraph, it was in fact in the introduction in 01. 
We could try to move it back but provided that we manage to link it 
nicely to the other paragraphs.

One thing we could nevertheless do is to switch 3rd and 4th paragraphs.
>> De :<[email-masked]>
>> Répondre à :<[email-masked]>
>> Pour :<[email-masked]>
>>
>>
>> Internet-Draft directories:http://www.ietf.org/shadow.html
>> orftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>
>>
>>
>>
>
>
>

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 20 May 2014 05:36:20 -0500

Thanks for the feedback about my feedback.

Just a couple of things, inline, but I'd already ballot "yes" :-)

On Tuesday, May 20, 2014, Martin Vigoureux <
[email-masked]> wrote:

> poll for adoption. But if "monitoring" is to be read as "controlling" then
> I tend to agree with you. On the other hand, I feel "documenting" is a bit
> weak. I'd prefer "Watching over ..." of something similar.

That would work for me.

> selection of Secretaries, but had not enough content for that. It could be
> at the beginning of the document but again one can read it as "oh, that was
> interesting, I want to become a secretary". In that sense it fits better at
> the end than at the beginning.
> Concerning the 2nd paragraph, it was in fact in the introduction in 01. We
> could try to move it back but provided that we manage to link it nicely to
> the other paragraphs.

If you think people would read that far, I'm good :-)

>>> Répondre ŕ :<[email-masked]>

---

From: Martin Vigoureux <[email-masked]>
Date: Tue, 20 May 2014 13:17:50 +0200

Thank you Spencer

Le 20/05/2014 12:36, Spencer Dawkins at IETF a écrit :
> On Tuesday, May 20, 2014, Martin Vigoureux
> <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     Hi Spencer,
>
>         Subject:        Re: Fwd: I-D Action:
>         draft-secretaries-good-__practices-03.txt
>         "he/she"?
>     It was said as "looking at the list for the responses to the IPR
>     polls" which is in my view not so different than looking at the
>     responses of a poll for adoption. But if "monitoring" is to be read
>     as "controlling" then I tend to agree with you. On the other hand, I
>     feel "documenting" is a bit weak. I'd prefer "Watching over ..." of
>     something similar.
>
>
> That would work for me.
>
>
>         http://www.ietf.org/edu/__process-oriented-tutorials.__html#wgleadership
>         <http://www.ietf.org/edu/process-oriented-tutorials.html#wgleadership>,
>     The 3rd gives a perspective beyond the definition of the role, i.e.,
>     the preparation to become a WG Chair, so chronologically speaking I
>     feel it fits nicely at the end of the document.
>     selection of Secretaries, but had not enough content for that. It
>     could be at the beginning of the document but again one can read it
>     as "oh, that was interesting, I want to become a secretary". In that
>     sense it fits better at the end than at the beginning.
>     Concerning the 2nd paragraph, it was in fact in the introduction in
>     01. We could try to move it back but provided that we manage to link
>     it nicely to the other paragraphs.
>
>
>             Sujet: I-D Action: draft-secretaries-good-__practices-03.txt
>                  Filename        : draft-secretaries-good-__practices-03.txt
>                  Pages           : 13
>                  Date            : 2014-05-19
>
>             Abstract:
>             https://datatracker.ietf.org/__doc/draft-secretaries-good-__practices/
>             <https://datatracker.ietf.org/doc/draft-secretaries-good-practices/>
>
>             http://tools.ietf.org/html/__draft-secretaries-good-__practices-03
>             <http://tools.ietf.org/html/draft-secretaries-good-practices-03>
>
>             http://www.ietf.org/rfcdiff?__url2=draft-secretaries-good-__practices-03
>             <http://www.ietf.org/rfcdiff?url2=draft-secretaries-good-practices-03>
>
>
>             until the htmlized version and diff are available at
>             tools.ietf.org <http://tools.ietf.org>.
>
>             ftp://ftp.ietf.org/internet-__drafts/
>             <ftp://ftp.ietf.org/internet-drafts/>
>
>             _________________________________________________
>             https://www.ietf.org/mailman/__listinfo/i-d-announce
>             <https://www.ietf.org/mailman/listinfo/i-d-announce>
>             Internet-Draft directories:http://www.ietf.__org/shadow.html
>             <http://www.ietf.org/shadow.html>
>             orftp://ftp.ietf.org/ietf/__1shadow-sites.txt
>             <http://ftp.ietf.org/ietf/1shadow-sites.txt>
>
>
>
>
>
>
>

---

From: Lou Berger <[email-masked]>
Date: Tue, 20 May 2014 10:22:41 -0400

Martin/Authors,
	I agree, this is a helpful document.  In addition to the changes you've
already mentioned, I think it would be worth adding in
coordinating/using etherpad as part of taking notes during the session.

I know that some don't like having their spelling errors seen by others
(personally, I've come to grips with my severe limitation in this area!)
but etherpad's enabling 'crowdsourced' note taking IMO has made a
significant and positive impact in the production of minutes.

Lou

On 05/20/2014 07:17 AM, Martin Vigoureux wrote:
>>                  Filename        :

---

From: Martin Vigoureux <[email-masked]>
Date: Tue, 20 May 2014 18:17:28 +0200

Lou,

thanks for sharing your appreciation of the document.
Point taken on the etherpad. I'll add something.

-m